# -*- coding: utf-8 -*-

# Copyright :copyright: 2019 by IBPort. All rights reserved.
# @Author: Neal Wong
# @Email: ibprnd@gmail.com

import sys
import logging
import multiprocessing

logger = multiprocessing.get_logger()
stream_handler_exist = False
for handler in logger.handlers:
  if isinstance(handler, logging.StreamHandler):
    stream_handler_exist = True
    break
if not stream_handler_exist:
  logger.setLevel(logging.DEBUG)
  formatter = logging.Formatter('%(asctime)s [%(levelname)s]: %(message)s')
  stream_handler = logging.StreamHandler(sys.stdout)
  stream_handler.setFormatter(formatter)
  logger.addHandler(stream_handler)

max_retries = 12

import shopify_python_api_patcher.monkey_patches
